Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 243165 - Incorrect use of libhal API
Summary: Incorrect use of libhal API
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hal-cups-utils
Version: 7
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F7Update
TreeView+ depends on / blocked
 
Reported: 2007-06-07 16:53 UTC by Tim Waugh
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 0.6.9.2-1.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-13 21:05:48 UTC


Attachments (Terms of Use)

Description Tim Waugh 2007-06-07 16:53:26 UTC
-- Additional comment from davidz@redhat.com on 2007-06-07 12:32 EST --
Reassigning to cups; basically it's wrong use of the libhal API; one need to
test the return value of hal_find_device_by_capability(); if NULL is returned
then the value of num_printers is undefined (yes, this is not nice API but
that's how it works for better or worse).

Comment 2 Tim Waugh 2007-06-11 13:19:17 UTC
Fixed in CVS.

Comment 3 Fedora Update System 2007-06-11 22:04:10 UTC
hal-cups-utils-0.6.9.2-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2007-06-13 21:05:42 UTC
hal-cups-utils-0.6.9.2-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.